Package org.apache.lucene.expressions

# Class Bindings

java.lang.Object
org.apache.lucene.expressions.Bindings

Direct Known Subclasses:
  `SimpleBindings`

public abstract class Bindings extends Object
Binds variable names in expressions to actual data.

These are typically DocValues fields/FieldCache, the document's relevance score, or other ValueSources.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Bindings()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract DoubleValuesSource`
  `getDoubleValuesSource(String name)`
  Returns a DoubleValuesSource bound to the variable name

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Bindings

    protected Bindings()
    Sole constructor. (For invocation by subclass constructors, typically implicit.)

- ## Method Details

  - ### getDoubleValuesSource

    public abstract DoubleValuesSource getDoubleValuesSource(String name)
    Returns a DoubleValuesSource bound to the variable name